تثبيت metasploit على أوبنتو بأسهل الطرق ..

Metasploit

الأصدار :- [ metasploit v3.4.2-dev ]

قم بتحميل البرنامج  من هنا

أو من هنا

_____________________________________________

بعد التحميل قم بموضع الملف في مجلد home – المنزل

وافتح الترمنيال وادخل بصلاحيات روت(sudo su) وقم بتنفيذ الأمر التالي

chmod +x framework-3.*-linux-i686.run

ثم طبق الأمر التالي لبداء عمليه التثبيت

sudo ./framework-3.*-linux-i686.run

بعد بدء عمليه التثبيت .. سيسائلك هل تريد تركيب الحزم والملفات قم بكتابه yes ثم انتضر حتى ينتهي من تركيب المشروع ..

ولـتشغيل المشروع نطبق الأوامر التالية

لتشغيل من المتصفح نطبق الأمر

msfw-eb

بدون –
لتشغيل من الترمنيال نطق الأمر

msfconsole

صورة المشروع من جهآزي

———————————————————————————————————-

اللي واجه مشاكل مع Ruby يركبها تفضلو الأوامر اكتبها بالترتيب وحبّه حبّه يا سيد المحبّه :>

sudo apt-get install libzlib-ruby

sudo apt-get install libopenssl-ruby

sudo apt-get install libdl-ruby

الان نحدث الحزم عن طريق الامر

apt-get update

الان نركب : mysql-server عن طريق الامر

sudo apt-get install ruby ri rdoc mysql-server libmysql-ruby

الحين نركب Ruby Gems و Ruby Rails الى يحتاجها مشروع m e tasploit 3
نطبق الامر

sudo apt-get install rubygems

والامر

sudo apt-get install rails

عند حدوث أي خطا بتثبيت حزم الروبي

حمل هذه الحزم بالترتيب

sudo apt-get install ruby libopenssl-ruby libyaml-ruby libdl-ruby libiconv-ruby libreadline-ruby irb ri rubygems
sudo apt-get build-dep ruby
sudo apt-get install ruby-dev libpcap-dev
sudo apt-get install rubygems libsqlite3-dev
sudo gem install sqlite3-ruby
sudo apt-get install rubygems libmysqlclient-dev
sudo gem install mysql

    • yahya
    • ديسمبر 5th, 2010

    اخي طبقت كل المكتوب لكن لايعمل
    لم يعمل معي واشكرك اخي فلم اجد موضوع يشرح تتبيت i686.run سوى هدا الموضوع

    • والله جربت طرق كثيره جدا لم اجد مثل هالطريقه
      لكن بعد المحاولات الكثيره التي عملت بها تم تثبيت البرنامج بسلام
      اتمنى تعيد المحاوله وتركز شوي

    • yahya
    • ديسمبر 5th, 2010

    yahya :
    اخي طبقت كل المكتوب لكن لايعمل
    لم يعمل معي واشكرك اخي فلم اجد موضوع يشرح تتبيت i686.run سوى هدا الموضوع

    وجدته يعمل على الترمنال لكن لا يعمل على المتصفح
    طبقت الامر msfw-eb لكن دون جدوى وقد ازلت –

    • صح لكن فيه داخل مجلد الميتا فيه البرنامج
      تفتح البرنامج بشكل رسومي زي اي برنامج ثاني
      لكن حاول تدور المجلد لاني من زمان عن اللينوكس = (

    • max-dz
    • فبراير 3rd, 2014

    لايعمل منعك لان الاسم ليس متشابه chmod +x framework-3.*-linux-i686.run
    غيره الى chmod +x metasploit-latest-linux-installer.run
    يعني الى اسم المتاسبلويت ليمحملها على جهازك مع تحياتي

  1. No trackbacks yet.

أضف تعليقاً

إملأ الحقول أدناه بالمعلومات المناسبة أو إضغط على إحدى الأيقونات لتسجيل الدخول:

WordPress.com Logo

أنت تعلق بإستخدام حساب WordPress.com. تسجيل خروج   / تغيير )

صورة تويتر

أنت تعلق بإستخدام حساب Twitter. تسجيل خروج   / تغيير )

Facebook photo

أنت تعلق بإستخدام حساب Facebook. تسجيل خروج   / تغيير )

Google+ photo

أنت تعلق بإستخدام حساب Google+. تسجيل خروج   / تغيير )

Connecting to %s

%d مدونون معجبون بهذه: